Search Engine: Elastic

Article ID: 130900, created on May 31, 2017, last review on May 31, 2017

  • Applies to:
  • Operations Automation 7.1

Symptoms

During the Azure CPS upgrade procedure Upgrading resources of application 'Azure Cloud Solution Provider' task fails with error like:

Internal error: APSC: Upgrade to ver. 4.1-66 : resource 46fc227b-216b-4894-b9b6-83dfdce62902 of type 'applications' (http://www.odin.com/app/azure-csp/application/1.6) for APS application 'Azure Cloud Solution Provider-4.1-66' : Error during APS API invocation.

In the azure.log on the Azure CSP Application Endpoint entries like following may be found:

    "error": "APS::Util::Exception",
    "message": "No suitable 'upgrade' found in 'Azure Cloud Solution Provider-4.1-66' for version '3.0-61'"

Cause

APS Controller misinterpreting old versions of Azure CSP APS package, so upgrade cannot be performed.

The issue is acknowledged as APS-42336.

Resolution

Remove old package's versions (below 3.2.3) from the Panel.

Contact your Technical Account Manager to trace the status of the issue.

5356b422f65bdad1c3e9edca5d74a1ae caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 8c199f0ee4305da1a577740620df4a51 1941880841f714e458ae4dc3d9f3062d

Email subscription for changes to this article
Save as PDF